import * as angular from 'angular';

class TokenService {

    /*@ngInject*/
    constructor() {}

    getAuthToken() {
        return JSON.parse(this.getCookie('gydaToken')).token;
    }

    getCookie(cname) {
        const name = cname + '=',
            decodedCookie = decodeURIComponent(document.cookie),
            ca = decodedCookie.split(';');
        for (let i = 0; i < ca.length; i++) {
            let c = ca[i];
            while (c.charAt(0) === ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) === 0) {
                return c.substring(name.length, c.length);
            }
        }
        return '';
    }
}

export default TokenService;
